%------------------------------------------------------------------
% Plots a square with defined center coordinates, side length and
% color.
% This method is used to draw nodal points and rotation constraints
% on 2D models.
% Input arguments:
%  where: axes where drawing is being made
%  x: center coordinate on the X axis
%  y: center coordinate on the Y axis
%  S: side length
%  c: color (RGB vector)
function square(where,x,y,S,c)
    s = S/2;
    
    X = [x - s , x + s , x + s , x - s];
    Y = [y - s , y - s , y + s , y + s];
    fill(where,X, Y, c);
end